# Class DataHandler

java.lang.Object
uk.ac.starlink.ttools.votlint.ElementHandler
uk.ac.starlink.ttools.votlint.DataHandler

public class DataHandler extends ElementHandler
Element handler for DATA elements.

Since:
  7 Apr 2005
Author:
  Mark Taylor (Starlink)

## Constructor Summary

Constructors
Constructor
Description
`DataHandler()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getColumnCount()`
Returns the number of columns in this DATA's table.
`FieldHandler`
`getField(int icol)`
Returns the FieldHandler object for a given column.
`void`
`startElement()`
Called after the attributes have been set and checked.

### Methods inherited from class ElementHandler

`characters, configure, endElement, error, getAncestry, getAttribute, getContext, getName, getRef, info, registerChildName, setAncestry, setAttributes, toString, warning`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DataHandler

public DataHandler()

## Method Details

### startElement

public void startElement()
Description copied from class: `ElementHandler`
Called after the attributes have been set and checked. The default implementation does nothing.

Overrides:
  `startElement` in class `ElementHandler`

### getField

public FieldHandler getField(int icol)
Returns the FieldHandler object for a given column.

Parameters:
  `icol` - column index
Returns:
  field handler for column `icol`, or null if that column doesn't exist

### getColumnCount

public int getColumnCount()
Returns the number of columns in this DATA's table.

Returns:
  column count